% Mesh of a line segment located in the range
% <0,Length>
% Divided into nL elements.
function [fens,gcells] = block1d(Length,nL,area)
    nnodes=(nL+1);
    fens(1:nnodes)=deal(fenode(struct('id',0,'xyz',[0 0])));
    ncells=(nL);
    gcells(1:ncells)=deal(gcell_L2(struct('id',1,'conn',[1 2],'area',area)));

    f=1;
    for i=1:(nL+1)
        xyz=[(i-1)*Length/nL];
        fens(f)=fenode(struct('id',f,'xyz',xyz));
        f=f+1;
    end

    gc=1;
    for i=1:nL
        gcells(gc)=gcell_L2(struct ('id', gc,'conn',[i,i+1], 'area',area));
        gc=gc+1;
    end
    return; % block
end
